summaryrefslogtreecommitdiffstats
path: root/recipes/p3scan/files/p3scan.init
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/p3scan/files/p3scan.init')
-rw-r--r--recipes/p3scan/files/p3scan.init33
1 files changed, 33 insertions, 0 deletions
diff --git a/recipes/p3scan/files/p3scan.init b/recipes/p3scan/files/p3scan.init
new file mode 100644
index 0000000000..9f3865b8b2
--- /dev/null
+++ b/recipes/p3scan/files/p3scan.init
@@ -0,0 +1,33 @@
+#!/bin/sh
+DAEMON=/usr/sbin/p3scan
+P3SCAN_CONFIG=/etc/p3scan/p3scan.conf
+PIDFILE=/var/run/p3scan/p3scan.pid
+NAME="p3scan"
+DESC="P3SCAN"
+
+test -r /etc/default/p3scan && . /etc/default/p3scan
+test -x "$DAEMON" || exit 0
+test ! -r "$P3SCAN_CONFIG" && exit 0
+
+case "$1" in
+ start)
+ echo "Starting $DESC: "
+ start-stop-daemon --oknodo -S -x $DAEMON -- -c $P3SCAN_CONFIG
+ echo "$NAME."
+ ;;
+
+ stop)
+ echo "Stopping $DESC:"
+ start-stop-daemon -K -p $PIDFILE
+ ;;
+
+ restart)
+ $0 stop >/dev/null 2>&1
+ $0 start
+ ;;
+
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 0
+ ;;
+esac